Subject: (ngtrans) comments on SIIT 04

From: Kazu Yamamoto (山本和彦) <[email-masked]>
Date: Wed, 20 Jan 1999 22:34:19 +0900

Here are our (Kazu and Sumikawa) comments on SIIT 04:

(1) Is IPv4-translated address routable in an IPv6 site?

If there is only one IPv6 subnet in an IPv6 site, IPv4-translated
address can be routable to the subnet.

However, IPv4-translated addresses shares just one prefix
(::ffff:0000:0000:0000/96). If there are multiple IPv6 subnets, how
can IPv4-translated addresses be forwarded? It seems that only one
subnet can exist if we use SIIT.

(2) UDP checksum

The memo says that no cheksum update is necessary for UDP. But we
think this is not ture. There is one exception.

If a UDP/IPv4 packet whose checksum is 0(ie. not calculated), SIIT
have to calculate checksum for a new UDP/IPv6 packet.

Worse, if UDP/IPv4 fragment packets whose checksum is 0, SIIT have to
reassemble them to calculate checksum. So, all fragments must be
stored (cannot just be forwarded) in SIIT due to reassemble. This
means that one site can install only one SIIT so that all fragments go
through the same SIIT.

Please clarify this case.

We thus think SIIT is not really stateless.

(3) impact to application

Section 1.2 says that "There are no extra changes needed to
applications to operate through a translator". This leads readers
misunderstand.

Applications cooperating with SIIT, such as FTP, must be *SIIT-ready*. 
For example, if an FTP/IPv6 client receives a PORT command, the client
add the IPv4-translated prefix to the IPv4 address specified byt PORT.

We would like to ask to change the sentence above to be more
appropriate.

--Kazu & Sumikawa

---

From: Bob Fink <[email-masked]>
Date: Wed, 20 Jan 1999 17:08:13 -0800

Kazu,

Thank you for your comments on SIIT version -04. 

I will assume that Erik Nordmark (as the author) will respond to you when
he is able.

Meanwhile, as I had sent this -04 version on to Harald Alvestrand (our area
adviser/director) as it had only minor changes of an editorial nature from
-03, I will ask him to hold it pending resolution of your comments.

(Harald - not having heard from you on my SIIT version -04 submittal, is it
possible it was one of the emails lost in your mid December email outage?)

Thanks,

Bob

======================================
>Date: Tue, 15 Dec 1998 04:38:39 -0500
>To: Harald Tveit Alvestrand <[email-masked]>
>From: Bob Fink <[email-masked]>
>Subject: change in SIIT for Experimental RFC processing (from ngtrans)
>Cc: Bert Wijnen <[email-masked]>, Tony Hain <[email-masked]>, 
>Erik Nordmark <[email-masked]>, [email-masked]
>
>Harald,
>
>Erik just fixed a last minute bug in the SIIT draft, and removed the section 
>on unresolved issues (see his email in response to George Tsirtsis below).
>
>	<draft-ietf-ngtrans-siit-04.txt>
>
>I don't think this is worth redoing last call for, but will if you wish.
>
>This one was for experimental.
>
>
>Thanks,
>
>Bob
>
>===
>>Date: Mon, 14 Dec 1998 11:03:28 -0800 (PST) 
>>From: Erik Nordmark <[email-masked]> 
>>Subject: Re: (ngtrans) Comments on SIIT 
>>To: [email-masked] 
>>Cc: [email-masked] 
>>
>>> Revising the NAT-PT draft as was agreed in the IETF meeting I
>>> noticed that in SIITv03 you have not updated the MTU calculations with
>>> the new value 1280 (per RFC2460) as opposed to 576. This error appears in
>>> a number of sections: 4,  4.1 and 5.
>>> 
>>> I am sorry for not catching this earlier ;( 
>>
>>
>>Better late then never :-)
>>
>>
>>> By the way since SIIT will become an RFC wouldn't be better if you removed
>>> section 7 "Open Issues" ? This is not important and may worth doing only
>>> if you revise SIIT for the PMTU update.
>>
>>
>>I planned to remove that one as part of the RFC but thanks for reminding me.
>>
>>
>>I'll submit an updated I-D today.
>>
>>
>>   Erik
===

---

From: Harald Alvestrand <[email-masked]>
Date: Sun, 24 Jan 1999 01:26:41 +0100

Bob,
I have some updated status on SIIT. Check www.ops.ietf.org for the
state; at the moment it's supposed to be on the IESG's agenda for
publication as Experimental.

I'll change it to "New version expected".

Don't know where Dec 14 went....

BTW: At the same time, could you check the status of the I-Ds listed
in the references list - whether they are published or not?
If possible, it's good to have references that can be followed.

                    Harald A

-- 
Harald Tveit Alvestrand, Maxware, Norway
[email-masked]